/*
 * slotData.h
 *
 * database subroutines for titrax project data
 *
 * Author: Bernd Esser <Bernd.Esser@testnetz.detecon.net>
 *
 * $Id: slotData.h,v 1.2 1999/06/03 12:04:49 ga58 Exp $
 *
 * $Log: slotData.h,v $
 * Revision 1.2  1999/06/03 12:04:49  ga58
 *  - Version 3.32
 *
 * Revision 1.1  1999/02/21 13:41:57  ga58
 *  - Version 3.29
 *
 * Revision 1.3  1999/01/31 19:05:17  ga58
 *  - Version 3.25. New layout for the time boxes and version info for the
 *    databases.
 *
 * Revision 1.2  1999/01/30 19:08:22  ga58
 *  - Version 3.24. Dynamically resizable number of project slots.
 *
 * Revision 1.1  1999/01/24 20:23:05  ga58
 *  - Beta version 3.23
 *
 */

#ifndef slotData_h
#define slotData_h

typedef enum offsetEnum {Elapsed = 0, StartedAt = 1, Active = 2, Logging = 3, Ignored = 4} offsetType;

typedef enum loggingEnum {dontLog, toNote, toDatebook} loggingType;

typedef struct {
  UInt32 elapsed;
  UInt32 startedAt;
  Boolean active;
  loggingType logging;
  Boolean ignored;
} slotDataType;

extern void OpenSlotDataDatabase(void);
extern void CloseSlotDataDatabase(void);

extern slotDataType* SlotData(Int16 slot);
extern void SetSlotData(Int16 slot, offsetType what, MemPtr data, Int16 size);

extern void SwapSlotData(Int16 slot1, Int16 slot2);

#endif
